Redmine - Defect #11789

Edit section links broken with h5/h6 headings
2012-09-06 15:03 - Stanislav German-Evtushenko

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version: 2.04

Resolution: Fixed Affected version: 1.4.4
Description

When | press "Edit this section” on "section h4.3" (that link http://demo.redmine.org/projects/test-wiki/wiki/Wiki/edit?section=4) it
opens editing "h5. section h5.1".

It seems as wiki doesn't count h5 sections when show "Edit this section” but counts h5 sections when you click it to edit.

Affected versions: 1.4.4 and 2.0.3.

Related issues:
Has duplicate Redmine - Defect #14752: h5 confuses wiki editor Closed

Associated revisions

Revision 10294 - 2012-09-06 19:03 - Jean-Philippe Lang
Parse any heading level (#11789).

History

#1 - 2012-09-06 15:40 - Etienne Massip

Could you please make your project public and wiki editable to everyone?
#2 - 2012-09-06 15:49 - Stanislav German-Evtushenko
Etienne Massip wrote:

Could you please make your project public and wiki editable to everyone?

| can't, that's a demo wiki. Please try this in any wiki:

hl. wiki

h4. section h4.1

h4. section h4.2

h5. section h5.1

h5. section h5.2

h4. section h4.3

h4. section h4.4

#3 - 2012-09-06 15:57 - Etienne Massip

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

Confirmed on trunk.

#4 - 2012-09-06 16:32 - Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.0.4
http://demo.redmine.org/projects/test-wiki/wiki/Wiki/edit?section=4

#5 - 2012-09-06 19:03 - Jean-Philippe Lang

- Subject changed from Wiki: h5 unusual behaviour to Edit section links broken with h5/h6 headings
- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from 2.0.4 to 1.4.5

- Resolution set to Fixed

Fixed in r10294.

#6 - 2012-09-06 19:22 - Jean-Philippe Lang
- Status changed from Resolved to Closed

- Target version changed from 1.4.5 to 2.0.4

Merged in 1.4-stable and 2.0-stable.

#7 - 2016-05-11 10:40 - Toshi MARUYAMA
- Has duplicate Defect #14752: h5 confuses wiki editor added
